Skip to main content
PUT
/
v0
/
user
/
spending-limit
curl --request PUT \
  --url 'https://api.unify.ai/v0/user/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 200.0
}'
{
    "user_id": "string",
    "monthly_spending_cap": "number | null",
    "assistants_capped": "integer"
}
Set the monthly spending limit for the current user’s personal usage. This limit applies when using the user’s personal API key (not org API keys). When the limit is lowered, personal assistant limits that exceed the new limit will be automatically capped.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

monthly_spending_cap
number | null
required
Monthly spending limit in dollars for personal usage. Set to null for no limit.
curl --request PUT \
  --url 'https://api.unify.ai/v0/user/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 200.0
}'
{
    "user_id": "string",
    "monthly_spending_cap": "number | null",
    "assistants_capped": "integer"
}